/*
 * SAP UI development toolkit for HTML5 (SAPUI5/OpenUI5)
 * (c) Copyright 2009-2015 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','sap/ui/base/ManagedObject','./ComponentMetadata','./Core'],function(q,M,C,a){"use strict";var b=M.extend("sap.ui.core.Component",{constructor:function(i,s){M.apply(this,arguments);},metadata:{stereotype:"component","abstract":true,version:"0.0",includes:[],dependencies:{libs:[],components:[],ui5version:""},config:{},customizing:{},library:"sap.ui.core"}},C);b.activateCustomizing=function(c){};b.deactivateCustomizing=function(c){};b.getOwnerIdFor=function(o){var O=(o instanceof M)&&o._sOwnerId;return O||undefined;};b.getOwnerComponentFor=function(o){var O=b.getOwnerIdFor(o);return O&&sap.ui.component(O);};b.prototype.runAsOwner=function(f){var o=M._sOwnerId;try{M._sOwnerId=this.getId();return f.call();}finally{M._sOwnerId=o;}};b.prototype.getInterface=function(){return this;};b.prototype._initCompositeSupport=function(s){this._mMockServers={};this.getMetadata().onInitComponent();this.oComponentData=s&&s.componentData;this.getMetadata().init();this.initComponentModels();if(this.onWindowError){this._fnWindowErrorHandler=q.proxy(function(e){var E=e.originalEvent;this.onWindowError(E.message,E.filename,E.lineno);},this);q(window).bind("error",this._fnWindowErrorHandler);}if(this.onWindowBeforeUnload){this._fnWindowBeforeUnloadHandler=q.proxy(this.onWindowBeforeUnload,this);q(window).bind("beforeunload",this._fnWindowBeforeUnloadHandler);}if(this.onWindowUnload){this._fnWindowUnloadHandler=q.proxy(this.onWindowUnload,this);q(window).bind("unload",this._fnWindowUnloadHandler);}};b.prototype.destroy=function(){if(this._mMockServers){q.each(this._mMockServers,function(n,m){m.stop();});delete this._mMockServers;}if(this._fnWindowErrorHandler){q(window).unbind("error",this._fnWindowErrorHandler);delete this._fnWindowErrorHandler;}if(this._fnWindowBeforeUnloadHandler){q(window).unbind("beforeunload",this._fnWindowBeforeUnloadHandler);delete this._fnWindowBeforeUnloadHandler;}if(this._fnWindowUnloadHandler){q(window).unbind("unload",this._fnWindowUnloadHandler);delete this._fnWindowUnloadHandler;}if(this._oEventBus){this._oEventBus.destroy();delete this._oEventBus;}M.prototype.destroy.apply(this,arguments);sap.ui.getCore().getMessageManager().unregisterObject(this);this.getMetadata().onExitComponent();};b.prototype.getComponentData=function(){return this.oComponentData;};b.prototype.getEventBus=function(){if(!this._oEventBus){q.sap.require("sap.ui.core.EventBus");this._oEventBus=new sap.ui.core.EventBus();}return this._oEventBus;};b.prototype.initComponentModels=function(m,s){var o=this.getMetadata();if(o.getMetadataVersion()===2){q.sap.log.debug("Skipping component model creation for manifest.json models.");return;}var c=m||o.getModels(),S=s||o.getServices();if(c){var f=function(n,u,e,g){if(this._mMockServers[n]){this._mMockServers[n].stop();}q.sap.require("sap.ui.core.util.MockServer");this._mMockServers[n]=new sap.ui.core.util.MockServer({rootUri:u});this._mMockServers[n].simulate(e,g);this._mMockServers[n].start();};var d=function(n,e){var u=e.uri,T=e.type;q.sap.require(T);var g=q.sap.getObject(T);var h;if(T==="sap.ui.model.resource.ResourceModel"){h=new g({bundleUrl:u});}else if(T==="sap.ui.model.odata.ODataModel"||T==="sap.ui.model.odata.v2.ODataModel"){if(e.mockserver){f.call(this,n,u,e.mockserver.model,e.mockserver.data);}h=new g(u,e.settings);}else if(T==="sap.ui.model.json.JSONModel"||T==="sap.ui.model.xml.XMLModel"){h=new g();if(u){h.loadData(u);}}return h;};var t=this;q.each(c,function(k,e){var g=e.service,h;if(g){var i=S[g];h=d.call(t,k,i);}else if(e.type){h=d.call(t,k,e);}if(h){t.setModel(h,k||undefined);}});}};sap.ui.component=function(c){if(!c){throw new Error("sap.ui.component cannot be called without parameter!");}if(typeof c==='string'){return sap.ui.getCore().getComponent(c);}function d(o){var n=c.name,i=c.id,e=c.componentData,s=n+'.Component',S=c.settings;var I=new o(q.extend({},S,{id:i,componentData:e}));q.sap.log.info("Component instance Id = "+I.getId());var h=I.getMetadata().handleValidation()!==undefined||c.handleValidation;if(h){if(I.getMetadata().handleValidation()!==undefined){h=I.getMetadata().handleValidation();}else{h=c.handleValidation;}sap.ui.getCore().getMessageManager().registerObject(I,h);}return I;}var v=sap.ui.component.load(c,true);if(c.async){return v.then(d);}else{return d(v);}};sap.ui.component.load=function(c,f){var n=c.name,u=c.url,d=/^(sync|async)$/.test(sap.ui.getCore().getConfiguration().getComponentPreload());if(!n){throw new Error("The name of the component is undefined.");}if(u){q.sap.registerModulePath(n,u);}function g(){var s=n+'.Component';q.sap.require(s);var o=q.sap.getObject(s);if(!o){var m="The specified component controller '"+s+"' could not be found!";if(f){throw new Error(m);}else{q.sap.log.warning(m);}}return o;}function p(s,A){var i=s+'.Component',P;if(d&&!q.sap.isDeclared(i,true)){if(A){P=q.sap.getResourceName(i,'-preload.js');return q.sap._loadJSResourceAsync(P,true);}try{P=i+'-preload';q.sap.require(P);}catch(e){q.sap.log.warning("couldn't preload component from "+P+": "+((e&&e.message)||e));}}}if(c.async){var h=c.asyncHints||{},j=[],k=function(P){if(P){j.push(P);}};if(h.libs){k(sap.ui.getCore().loadLibraries(h.libs));}if(d){k(p(n,true));if(h.components){q.each(h.components,function(i,s){k(p(s,true));});}}return Promise.all(j).then(function(v){q.sap.log.debug("Component.load: all promises fulfilled, then "+v);return g();});}p(n);return g();};return b;},true);
