/*!
 * SAP UI development toolkit for HTML5 (SAPUI5/OpenUI5)
 * (c) Copyright 2009-2015 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','sap/ui/base/ManagedObject','sap/ui/core/XMLTemplateProcessor','sap/ui/model/CompositeBinding','sap/ui/model/Context'],function(q,M,X,C,a){'use strict';var u={},n="http://schemas.sap.com/sapui5/extension/sap.ui.core.template/1",W=M.extend("sap.ui.core.util._with",{metadata:{properties:{any:"any"},aggregations:{child:{multiple:false,type:"sap.ui.core.util._with"}}}}),R=W.extend("sap.ui.core.util._repeat",{metadata:{aggregations:{list:{multiple:true,type:"n/a",_doesNotRequireFactory:true}}},updateList:function(){}});function g(w,S,i){function d(){var B=w.getBinding("any");return B instanceof C?B.getBindings()[i]:B;}return{getModel:function(){return d().getModel();},getPath:function(){var B=d();return B.getModel().resolve(B.getPath(),B.getContext());},getSetting:function(N){if(N==="bindingContexts"||N==="models"){throw new Error("Illegal argument: "+N);}return S[N];}};}function b(w,B,S){function p(i,I){var f=I.formatter;I.mode=sap.ui.model.BindingMode.OneTime;if(f&&f.requiresIContext===true){I.formatter=q.proxy(f,null,g(w,S,i));}}try{p(undefined,B);q.each(B.parts||[],p);w.bindProperty("any",B);return w.getBinding("any")?w.getAny():u;}finally{w.unbindProperty("any",true);}}function c(e,L){return e.namespaceURI===n&&l(e)===L;}function l(N){return N.localName||N.baseName;}function s(e){var t="<"+e.nodeName;q.each(e.attributes,function(i,A){t+=" "+A.name+'="'+A.value+'"';});return t+(e.childNodes.length?">":"/>");}return{process:function(r,S,d){function e(i,E){throw new Error(d+": "+i+s(E));}function f(I){var N=I.childNodes,y,z=[],i,F=false;for(i=0;i<N.length;i+=1){y=N.item(i);if(y.nodeType===1){z.push(y);}}if(!z.length||!c(z[0],"then")){return null;}for(i=1;i<z.length;i+=1){y=z[i];if(F){e("Expected </"+I.prefix+":if>, but instead saw ",y);}if(c(y,"else")){F=true;}else if(!c(y,"elseif")){e("Expected <"+I.prefix+":elseif> or <"+I.prefix+":else>, but instead saw ",z[i]);}}return z;}function h(P,i,T){T=T||P;w(P,i);while(P.firstChild){T.parentNode.insertBefore(P.firstChild,T);}}function p(E,i){var T=E.getAttribute("test"),B=sap.ui.base.BindingParser.complexParser(T);function y(A,D){if(q.sap.log.isLoggable(q.sap.log.Level.WARNING)){q.sap.log.warning(d+A+s(E),D,"sap.ui.core.util.XMLPreprocessor");}}if(B){try{T=b(i,B,S);if(T===u){y(': Binding not ready in ',null);T=false;}}catch(z){y(': Error in formatter of ',z);T=false;}}else{y(': Constant test condition in ',null);}return T&&T!=="false";}function j(E,A,i){var y,B=sap.ui.base.BindingParser.complexParser(A.value);if(B){try{y=b(i,B,S);if(y!==u){A.value=y;}}catch(z){if(q.sap.log.isLoggable(q.sap.log.Level.DEBUG)){q.sap.log.debug(d+': Error in formatter of '+s(E),z,"sap.ui.core.util.XMLPreprocessor");}}}}function t(E,i){var F=E.getAttribute("fragmentName"),y=X.loadTemplate(F,"fragment");i.$mFragmentContexts=i.$mFragmentContexts||{};if(i.$mFragmentContexts[F]){E.appendChild(E.ownerDocument.createTextNode("Error: Stopped due to cyclic fragment reference"));q.sap.log.error('Stopped due to cyclic reference in fragment '+F,q.sap.serializeXML(E.ownerDocument.documentElement),"sap.ui.core.util.XMLPreprocessor");return;}i.$mFragmentContexts[F]=true;if(l(y)==="FragmentDefinition"&&y.namespaceURI==="sap.ui.core"){h(y,i,E);}else{E.appendChild(y);h(E,i);}E.parentNode.removeChild(E);i.$mFragmentContexts[F]=false;}function k(i,y){var z=f(i),A,T;if(z){T=i;A=z.shift();do{if(p(T,y)){break;}T=A=z.shift();}while(T&&l(T)==="elseif");}else if(p(i,y)){A=i;}if(A){h(A,y,i);}i.parentNode.removeChild(i);}function m(E,y){var L=E.getAttribute("list")||"",B=sap.ui.base.BindingParser.complexParser(L),z,A,D,N,V=E.getAttribute("var");if(V===""){e("Missing variable name for ",E);}if(!B){e("Missing binding for ",E);}N=new R();y.setChild(N);B.mode=sap.ui.model.BindingMode.OneTime;N.bindAggregation("list",B);A=N.getBinding("list");N.unbindAggregation("list",true);D=B.model;if(!A){e("Missing model '"+D+"' in ",E);}z=A.getContexts();V=V||D;N.setModel(A.getModel(),V);q.each(z,function(i,F){var G=(i===z.length-1)?E:E.cloneNode(true);N.setBindingContext(F,V);h(G,N,E);});E.parentNode.removeChild(E);}function o(E,i){var B,y,N,H,z=E.getAttribute("helper"),A,P=E.getAttribute("path"),D,V=E.getAttribute("var");if(V===""){e("Missing variable name for ",E);}N=new W();i.setChild(N);if(z||V){B=sap.ui.base.BindingParser.simpleParser("{"+P+"}");y=i.getModel(B.model);if(!y){e("Missing model '"+B.model+"' in ",E);}D=y.resolve(B.path,i.getBindingContext(B.model));if(!D){e("Cannot resolve path for ",E);}if(z){H=q.sap.getObject(z);if(typeof H!=="function"){e("Cannot resolve helper for ",E);}A=H(y.createBindingContext(D));if(A instanceof a){y=A.getModel();D=A.getPath();}else if(A!==undefined){if(typeof A!=="string"||A===""){e("Illegal helper result '"+A+"' in ",E);}D=A;}}V=V||B.model;N.setModel(y,V);N.bindObject({model:V,path:D});}else{N.bindObject(P);}h(E,N);E.parentNode.removeChild(E);}function v(N,y){var i;if(N.attributes){for(i=0;i<N.attributes.length;i+=1){j(N,N.attributes.item(i),y);}}}function w(N,y){var i,z=N.childNodes;for(i=z.length-1;i>=0;i-=1){x(z.item(i),y);}}function x(N,i){if(N.namespaceURI===n){switch(l(N)){case"if":k(N,i);return;case"repeat":m(N,i);return;case"with":o(N,i);return;default:e("Unexpected tag ",N);}}else if(N.namespaceURI==="sap.ui.core"&&l(N)==="Fragment"&&N.getAttribute("type")==="XML"){t(N,i);}v(N,i);w(N,i);}x(r,new W({models:S.models,bindingContexts:S.bindingContexts}));return r;}};},true);
